components:
  schemas:
    DataSecurityLineOfService_v1_1_0_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/DataSecurityLineOfService_v1_1_0_OemActions'
          description: This property contains the available OEM specific actions for
            this resource.
          x-longDescription: This property shall contain any additional OEM actions
            for this resource.
          x-versionAdded: v1_1_0
      type: object
      x-longDescription: The Actions property shall contain the available actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    DataSecurityLineOfService_v1_1_0_DataSecurityLineOfService:
      additionalProperties: false
      description: Describes data security service level requirements.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/DataSecurityLineOfService_v1_1_0_Actions'
          description: The available actions for this resource.
          x-longDescription: The Actions property shall contain the available actions
            for this resource.
          x-versionAdded: v1_1_0
        AntivirusEngineProvider:
          description: AntiVirus provider.
          nullable: true
          readOnly: false
          type: string
          x-longDescription: The value shall specify an AntiVirus provider.
        AntivirusScanPolicies:
          description: Policy for triggering an AntiVirus scan.
          items:
            oneOf:
            - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/DataSecurityLoSCapabilities.yaml#/components/schemas/DataSecurityLoSCapabilities_AntiVirusScanTrigger
            - enum:
              - 'null'
          readOnly: false
          type: array
          x-longDescription: The enumeration literal shall specify the policy for
            triggering an AntiVirus scan.
        ChannelEncryptionStrength:
          description: Key size for transport channel encryption.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/DataSecurityLoSCapabilities.yaml#/components/schemas/DataSecurityLoSCapabilities_KeySize
          - enum:
            - 'null'
          readOnly: false
          x-longDescription: The enumeration literal shall specify a key size in a
            symmetric encryption algorithm for transport channel encryption.
        DataSanitizationPolicy:
          description: Data sanitization policy.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/DataSecurityLoSCapabilities.yaml#/components/schemas/DataSecurityLoSCapabilities_DataSanitizationPolicy
          - enum:
            - 'null'
          readOnly: false
          x-longDescription: The enumeration literal shall specify the data sanitization
            policy.
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - 'null'
          readOnly: true
        HostAuthenticationType:
          description: Authentication type for hosts (servers) or initiator endpoints.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/DataSecurityLoSCapabilities.yaml#/components/schemas/DataSecurityLoSCapabilities_AuthenticationType
          - enum:
            - 'null'
          readOnly: false
          x-longDescription: The enumeration literal shall specify the authentication
            type for hosts (servers) or initiator endpoints.
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        MediaEncryptionStrength:
          description: Key size for media encryption.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/DataSecurityLoSCapabilities.yaml#/components/schemas/DataSecurityLoSCapabilities_KeySize
          - enum:
            - 'null'
          readOnly: false
          x-longDescription: The enumeration literal shall specify a key size in a
            symmetric encryption algorithm for media encryption.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        SecureChannelProtocol:
          description: Protocol that provide encrypted communication.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/DataSecurityLoSCapabilities.yaml#/components/schemas/DataSecurityLoSCapabilities_SecureChannelProtocol
          - enum:
            - 'null'
          readOnly: false
          x-longDescription: The enumeration literal shall specify the protocol that
            provide encrypted communication.
        UserAuthenticationType:
          description: Authentication type for users (or programs).
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/DataSecurityLoSCapabilities.yaml#/components/schemas/DataSecurityLoSCapabilities_AuthenticationType
          - enum:
            - 'null'
          readOnly: false
          x-longDescription: The enumeration literal shall specify the authentication
            type for users (or programs).
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This structure shall be used to describe data security service
        level requirements.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    DataSecurityLineOfService_v1_1_0_OemActions:
      additionalProperties: true
      description: The available OEM specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain any additional OEM actions for this
        resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#DataSecurityLineOfService.v1_1_0.DataSecurityLineOfService'
x-copyright: Copyright 2015-2024 Storage Networking Industry Association (SNIA), USA.
  All rights reserved.
x-owningEntity: SNIA
x-release: 1.1.0
